# Example script to open the valve to a 
# random number, home the valve, and
# return the backlash value.

# Import serial for serial communication,
# time for a delay, and random for random 
# integer angles.
import serial
import time
import random

# Number of cycles.
CYCLES = 5
DELAY = 3
# Open the serial port on COM5.
ser = serial.Serial('COM6')

# Instantiate a Random() object.
random_angle = random.Random()

for i in range(CYCLES):
    # Generate a random number.
    rand = random_angle.randint(0,90)
    # Create an angle command and send to CommandValve.
    angle = b'ang '+ str(rand).encode()
    ser.write(angle)
    time.sleep(DELAY)
    
    # Perform a homing sequence.
    ser.write(b'home\n\r')
    time.sleep(DELAY)
	
        
    # Get the mechanical backlash and print the results.
    ser.write(b'lash\n\r')
    lash = ser.readline().decode().strip()
    print("sample: {} ang: {} lash: {}".format(i,rand,lash))

# Close the serial port.
ser.close()
